%define upstream_name    Linux-Prctl
%define upstream_version 1.6.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Control process parameters and capabilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libcap-devel
BuildRequires: perl-devel

%description
The linux prctl function allows you to control specific characteristics of
a process' behaviour. Usage of the function is fairly messy though, due to
limitations in C and linux. This module provides a nice non-messy
python(ic) interface. Most of the text in this documentation is based on
text from the linux manpages prctl(2) and capabilities(7)

Besides prctl, this library also wraps libcap for complete capability
handling.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.6.0-5pclos2017
- rebuild against updates

